## rust-rustls-webpki-0.101 0.101.7

=== debian/changelog ===
rust-rustls-webpki-0.101 (0.101.7-7) unstable; urgency=medium

  * break+replace older releases of librust-rustls-webpki-dev
  * add patch 2003_rcgen
    to avoid test-only older-than-in-Debian crate rcgen;
    stop build- or autopkgtest-depend on package for crate rcgen

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 14 Feb 2025 14:45:38 +0100

rust-rustls-webpki-0.101 (0.101.7-6) unstable; urgency=medium

  * no-changes source-only upload to enable testing migration

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 13 Feb 2025 20:08:29 +0100

rust-rustls-webpki-0.101 (0.101.7-5) unstable; urgency=medium

  * declare rust-related build-dependencies unconditionally,
    i.e. drop broken nocheck annotations
  * add metadata about upstream project
  * update git-buildpackage config:
    + use versioned debian-branch and upstream-tag
    + filter out debian subdir
    + improve usage comment
  * update watch file:
    + mangle upstream version
    + improve filename mangling
  * update copyright info: update coverage
  * version source and binary packages

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 08 Feb 2025 22:17:21 +0100

rust-rustls-webpki (0.101.7-4) unstable; urgency=medium

  * update git-buildpackage:
    + use git branches upstream/0.101 debian/unstable
  * update watch file:
    + use Github API uri
    + improve filename mangling
  * add patch 1003_base64 to accept newer branch of crate base64;
    bump build- and autopkgtest-dependencies
    for crate rust-env-logger;
    closes: bug#1086452, thanks to Paul Gevers

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 01 Jan 2025 16:02:27 +0100

rust-rustls-webpki (0.101.7-3) unstable; urgency=medium

  * rename patch 2001_bencher -> 2003_no_benches
  * add patch 2001 to avoid privacy breach in documentation
  * generate documentation from Markdown source;
    build-depend on cmark-gfm
  * update dh-cargo fork
  * update copyright info: update coverage
  * declare compliance with Debian Policy 4.7.0
  * update TODOs

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 13 Jun 2024 12:35:06 +0200

rust-rustls-webpki (0.101.7-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable

 -- Peter Michael Green <plugwash@debian.org>  Tue, 07 Nov 2023 18:29:08 +0000

rust-rustls-webpki (0.101.7-2) experimental; urgency=medium

  * extend patch 1002 to install file src/test_utils.rs,
    and to reference Debian bugreport in DEP-3 headers;
    closes: bug#1055319, thanks to Peter Green

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 04 Nov 2023 08:57:25 +0100

rust-rustls-webpki (0.101.7-1) experimental; urgency=medium

  * bump project version in virtual packages and autopkgtests
  * unfuzz patches
  * tighten (build-)dependencies for crates ring untrusted

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 01 Nov 2023 01:38:40 +0100

rust-rustls-webpki (0.101.6-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * unfuzz patches
  * bump project version in virtual packages and autopkgtests
  * update dh-cargo fork
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 21 Sep 2023 21:55:05 +0200

rust-rustls-webpki (0.101.4-5) unstable; urgency=medium

  * revert to build-depend on package for crate rcgen,
    and enable autopkgtests for all features
    but skip them for official architectures
    where packages for crates rcgen or ring are missing;
    drop patch 2003

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 31 Aug 2023 21:22:00 +0200

rust-rustls-webpki (0.101.4-4) unstable; urgency=medium

  * limit build-tests and autopkgtests to avoid feature alloc

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 31 Aug 2023 13:05:31 +0200

rust-rustls-webpki (0.101.4-3) unstable; urgency=medium

  * add patch 2003
    to avoid dependency on crate rcgen missing on some architectures;
    stop build-depend on package for crate rcgen;
    avoid autopkgtests involving feature alloc,
    and mention in TODO note;
    closes: bug#1050655, thanks to Peter Michael Green

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 31 Aug 2023 10:55:32 +0200

rust-rustls-webpki (0.101.4-2) unstable; urgency=medium

  * reduce patch 2001;
    build- and autopkgtest-depend on package for crate rcgen;
    limit select autopkgtests
    to architectures supported by crate rcgen;
    closes: bug#1050535, thanks to Peter Michael Green
  * update dh-cargo fork

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 25 Aug 2023 22:20:29 +0200

rust-rustls-webpki (0.101.4-1) unstable; urgency=high

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * bump project version in virtual packages and autopkgtests;
    closes: bug#1050298, thanks to Salvatore Bonaccorso;
    RUSTSEC-2023-0053
  * unfuzz patches
  * set urgency=high due to security bugfix

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 24 Aug 2023 10:06:53 +0200

rust-rustls-webpki (0.101.3-2) unstable; urgency=medium

  * update dh-cargo fork
  * rename patch 2004 -> 1002_test-data_path_from_env;
    refresh patches with shortening quilt options;
    update DEP-3 patch headers
  * merge patch 2003 into 2001;
    stop build- or autopkgtest-depend on package for crate rcgen

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 20 Aug 2023 10:04:21 +0200

rust-rustls-webpki (0.101.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch 2004 and alter debian/tests/control to use test data from the source
    package during autopkgtest as the test data is not included in the binary
    package (Closes: #1043418)
  * Extend patch 2001 to add autobenches=false so that the benches
    are really disabled

 -- Peter Michael Green <plugwash@debian.org>  Sat, 19 Aug 2023 10:07:40 +0000

rust-rustls-webpki (0.101.3-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update watch file: exclude prereleases
  * extend patch 2001 to avoid declaring benches
  * bump project version in virtual packages and autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 13 Aug 2023 13:24:24 +0200

