=== debian/control ===
Source: rust-rustls-webpki-0.101
Section: rust
Priority: optional
Build-Depends:
 cmark-gfm <!nodoc>,
 debhelper-compat (= 13),
 dh-cargo,
 librust-base64-0.22+default-dev,
 librust-ring-0.17+default-dev,
# librust-rcgen-0.11+default-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
 librust-untrusted-0.9+default-dev,
 libstring-shellquote-perl,
Maintainer: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/debian/rust-rustls-webpki.git
Vcs-Browser: https://salsa.debian.org/debian/rust-rustls-webpki
Homepage: https://github.com/rustls/rustls
Rules-Requires-Root: no

Package: librust-rustls-webpki-0.101-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-ring-0.17+default-dev,
 librust-untrusted-0.9+default-dev,
 ${misc:Depends},
Provides:
 librust-rustls-webpki-0.101+alloc-dev (= ${binary:Version}),
 librust-rustls-webpki-0.101+default-dev (= ${binary:Version}),
 librust-rustls-webpki-0.101+std-dev (= ${binary:Version}),
 librust-rustls-webpki-0.101.7-dev (= ${binary:Version}),
Breaks:
 librust-rustls-webpki-dev (<< 0.102),
Replaces:
 librust-rustls-webpki-dev (<< 0.102),
Description: web PKI X.509 certificate verification - Rust source code
 rustls-webpki is a library
 that validates Web PKI (TLS/SSL) certificates.
 It's used by Rustls to handle certificate-related tasks
 required for implementing TLS clients and servers.
 .
 rustls-webpki is written in Rust
 and uses ring for cryptographic operations and low-level parsing.
 .
 This is a fork of the webpki project
 which adds a number of features required by the rustls project.
 .
 Rustls is a modern TLS library written in Rust.
 .
 This package contains the source for the Rust rustls-webpki crate,
 for use with cargo and dh-cargo.
